Delete a tool
Server:
https://{kibana_url}
- DELETE /api/agent_builder/tools/{toolId}
- DELETE /s/{space_id}/api/agent_builder/tools/{toolId}
Refer to Spaces for more information.
Delete a tool by ID. This action cannot be undone. To learn more about Agent Builder tools, refer to the tools documentation.
[Required authorization] Route required privileges: agentBuilder:manageTools.
Path Parameters
-
toolIdstringrequired -
The unique identifier of the tool to delete.
Query Parameters
-
forceboolean · default: false If true, removes the tool from agents that use it and then deletes it. If false and any agent uses the tool, the request returns 409 Conflict with the list of agents.
Response
200
application/json
Indicates a successful response